Skip to main content

Budget

View as Markdown

BudgetConfiguration object

budget_configuration_idstring

<Databricks> budget configuration ID.

account_idstring

<Databricks> account ID.

AWS

<Databricks> account ID of any type. For non-E2 account types, get your account ID from the Accounts Console.

create_timeint64

Creation time of this budget configuration.

update_timeint64

Update time of this budget configuration.

alert_configurationsarray of object

Alerts to configure when this budget is in a triggered state. Budgets must have exactly one alert configuration.

Show child attributesHide child attributes
alert_configuration_idstring

<Databricks> alert configuration ID.

time_periodstring

The time window of usage data for the budget.

Values: MONTH

trigger_typestring

The evaluation method to determine when this budget alert is in a triggered state.

Values: CUMULATIVE_SPENDING_EXCEEDED

quantity_typestring

The way to calculate cost for this budget alert. This is what quantity_threshold is measured in.

Values: LIST_PRICE_DOLLARS_USD

quantity_thresholdstring

The threshold for the budget alert to determine if it is in a triggered state. The number is evaluated based on quantity_type.

action_configurationsarray of object

Configured actions for this alert. These define what happens when an alert enters a triggered state.

Show child attributesHide child attributes
action_configuration_idstring

<Databricks> action configuration ID.

action_typestring

The type of the action.

Values: EMAIL_NOTIFICATION, BLOCK_USAGE

targetstring

Target for the action. For example, an email address.

scope_typestring

How the alert threshold is evaluated. Determines whether spend is tracked in aggregate or per individual user.

Values: ALERT_CONFIGURATION_SCOPE_TYPE_SHARED, ALERT_CONFIGURATION_SCOPE_TYPE_PER_USER

principal_overridesarray of object

Per-principal threshold overrides for this alert. Only applies to per-user alerts (scope_type = ALERT_CONFIGURATION_SCOPE_TYPE_PER_USER); ignored for shared alerts.

Show child attributesHide child attributes
principal_idint64

Account-level principal id (user, group, or service principal).

override_thresholdstring

Dollar amount that overrides the parent alert's quantity_threshold for this principal.

filterobject

Configured filters for this budget. These are applied to your account's usage to limit the scope of what is considered for this budget. Leave empty to include all usage for this account. All provided filters must be matched for usage to be included.

Show child attributesHide child attributes
workspace_idobject

If provided, usage must match with the provided <Databricks> workspace IDs.

Show child attributesHide child attributes
operatorstring

Values: IN

valuesarray of int64
tagsarray of object

A list of tag keys and values that will limit the budget to usage that includes those specific custom tags. Tags are case-sensitive and should be entered exactly as they appear in your usage data.

Show child attributesHide child attributes
keystring
valueobject
Show child attributesHide child attributes
operatorstring

Values: IN

valuesarray of string
display_namestring

Human-readable name of budget configuration. Max Length: 128

resource_typestring

The resource scope for this budget. Determines whether the budget tracks all resources or a specific resource.

Values: BUDGET_RESOURCE_TYPE_ALL_RESOURCES, BUDGET_RESOURCE_TYPE_UNITY_AI_GATEWAY

Get

GET /api/2.1/accounts/{account_id}/budgets/{budget_id}

Gets a budget configuration for an account. Both account and budget configuration are specified by ID.

API scopes: billing

Parameters

budget_idstringpath

The budget configuration ID

account_idstringpath

<Databricks> account ID.

AWS

<Databricks> account ID of any type. For non-E2 account types, get your account ID from the Accounts Console.

include_spend_statusbooleanquery

Response

budgetobject
Show child attributesHide child attributes
budget_configuration_idstring

<Databricks> budget configuration ID.

account_idstring

<Databricks> account ID.

AWS

<Databricks> account ID of any type. For non-E2 account types, get your account ID from the Accounts Console.

create_timeint64

Creation time of this budget configuration.

update_timeint64

Update time of this budget configuration.

alert_configurationsarray of object

Alerts to configure when this budget is in a triggered state. Budgets must have exactly one alert configuration.

Show child attributesHide child attributes
alert_configuration_idstring

<Databricks> alert configuration ID.

time_periodstring

The time window of usage data for the budget.

Values: MONTH

trigger_typestring

The evaluation method to determine when this budget alert is in a triggered state.

Values: CUMULATIVE_SPENDING_EXCEEDED

quantity_typestring

The way to calculate cost for this budget alert. This is what quantity_threshold is measured in.

Values: LIST_PRICE_DOLLARS_USD

quantity_thresholdstring

The threshold for the budget alert to determine if it is in a triggered state. The number is evaluated based on quantity_type.

action_configurationsarray of object

Configured actions for this alert. These define what happens when an alert enters a triggered state.

Show child attributesHide child attributes
action_configuration_idstring

<Databricks> action configuration ID.

action_typestring

The type of the action.

Values: EMAIL_NOTIFICATION, BLOCK_USAGE

targetstring

Target for the action. For example, an email address.

scope_typestring

How the alert threshold is evaluated. Determines whether spend is tracked in aggregate or per individual user.

Values: ALERT_CONFIGURATION_SCOPE_TYPE_SHARED, ALERT_CONFIGURATION_SCOPE_TYPE_PER_USER

principal_overridesarray of object

Per-principal threshold overrides for this alert. Only applies to per-user alerts (scope_type = ALERT_CONFIGURATION_SCOPE_TYPE_PER_USER); ignored for shared alerts.

Show child attributesHide child attributes
principal_idint64

Account-level principal id (user, group, or service principal).

override_thresholdstring

Dollar amount that overrides the parent alert's quantity_threshold for this principal.

filterobject

Configured filters for this budget. These are applied to your account's usage to limit the scope of what is considered for this budget. Leave empty to include all usage for this account. All provided filters must be matched for usage to be included.

Show child attributesHide child attributes
workspace_idobject

If provided, usage must match with the provided <Databricks> workspace IDs.

Show child attributesHide child attributes
operatorstring

Values: IN

valuesarray of int64
tagsarray of object

A list of tag keys and values that will limit the budget to usage that includes those specific custom tags. Tags are case-sensitive and should be entered exactly as they appear in your usage data.

Show child attributesHide child attributes
keystring
valueobject
display_namestring

Human-readable name of budget configuration. Max Length: 128

resource_typestring

The resource scope for this budget. Determines whether the budget tracks all resources or a specific resource.

Values: BUDGET_RESOURCE_TYPE_ALL_RESOURCES, BUDGET_RESOURCE_TYPE_UNITY_AI_GATEWAY

List

GET /api/2.1/accounts/{account_id}/budgets

Gets all budgets associated with this account.

API scopes: billing

Parameters

account_idstringpath

<Databricks> account ID.

AWS

<Databricks> account ID of any type. For non-E2 account types, get your account ID from the Accounts Console.

page_tokenstringquery

A page token received from a previous get all budget configurations call. This token can be used to retrieve the subsequent page. Requests first page if absent.

include_spend_statusbooleanquery
include_workspace_budgetsbooleanquery

Response

Returns a list of BudgetConfiguration objects.

Create

POST /api/2.1/accounts/{budget.account_id}/budgets

Create a new budget configuration for an account. For full details, see https://docs.databricks.com/en/admin/account-settings/budgets.html.

API scopes: billing

Parameters

budgetobjectpath

Properties of the new budget configuration.

Show child attributesHide child attributes
budget_configuration_idstring

<Databricks> budget configuration ID.

account_idstring

<Databricks> account ID.

AWS

<Databricks> account ID of any type. For non-E2 account types, get your account ID from the Accounts Console.

create_timeint64

Creation time of this budget configuration.

update_timeint64

Update time of this budget configuration.

alert_configurationsarray of object

Alerts to configure when this budget is in a triggered state. Budgets must have exactly one alert configuration.

Show child attributesHide child attributes
alert_configuration_idstring

<Databricks> alert configuration ID.

time_periodstring

The time window of usage data for the budget.

Values: MONTH

trigger_typestring

The evaluation method to determine when this budget alert is in a triggered state.

Values: CUMULATIVE_SPENDING_EXCEEDED

quantity_typestring

The way to calculate cost for this budget alert. This is what quantity_threshold is measured in.

Values: LIST_PRICE_DOLLARS_USD

quantity_thresholdstring

The threshold for the budget alert to determine if it is in a triggered state. The number is evaluated based on quantity_type.

action_configurationsarray of object

Configured actions for this alert. These define what happens when an alert enters a triggered state.

Show child attributesHide child attributes
action_configuration_idstring

<Databricks> action configuration ID.

action_typestring

The type of the action.

Values: EMAIL_NOTIFICATION, BLOCK_USAGE

targetstring

Target for the action. For example, an email address.

scope_typestring

How the alert threshold is evaluated. Determines whether spend is tracked in aggregate or per individual user.

Values: ALERT_CONFIGURATION_SCOPE_TYPE_SHARED, ALERT_CONFIGURATION_SCOPE_TYPE_PER_USER

principal_overridesarray of object

Per-principal threshold overrides for this alert. Only applies to per-user alerts (scope_type = ALERT_CONFIGURATION_SCOPE_TYPE_PER_USER); ignored for shared alerts.

Show child attributesHide child attributes
principal_idint64

Account-level principal id (user, group, or service principal).

override_thresholdstring

Dollar amount that overrides the parent alert's quantity_threshold for this principal.

filterobject

Configured filters for this budget. These are applied to your account's usage to limit the scope of what is considered for this budget. Leave empty to include all usage for this account. All provided filters must be matched for usage to be included.

Show child attributesHide child attributes
workspace_idobject

If provided, usage must match with the provided <Databricks> workspace IDs.

Show child attributesHide child attributes
operatorstring

Values: IN

valuesarray of int64
tagsarray of object

A list of tag keys and values that will limit the budget to usage that includes those specific custom tags. Tags are case-sensitive and should be entered exactly as they appear in your usage data.

Show child attributesHide child attributes
keystring
valueobject
display_namestring

Human-readable name of budget configuration. Max Length: 128

resource_typestring

The resource scope for this budget. Determines whether the budget tracks all resources or a specific resource.

Values: BUDGET_RESOURCE_TYPE_ALL_RESOURCES, BUDGET_RESOURCE_TYPE_UNITY_AI_GATEWAY

Response

budgetobject

The created budget configuration.

Show child attributesHide child attributes
budget_configuration_idstring

<Databricks> budget configuration ID.

account_idstring

<Databricks> account ID.

AWS

<Databricks> account ID of any type. For non-E2 account types, get your account ID from the Accounts Console.

create_timeint64

Creation time of this budget configuration.

update_timeint64

Update time of this budget configuration.

alert_configurationsarray of object

Alerts to configure when this budget is in a triggered state. Budgets must have exactly one alert configuration.

Show child attributesHide child attributes
alert_configuration_idstring

<Databricks> alert configuration ID.

time_periodstring

The time window of usage data for the budget.

Values: MONTH

trigger_typestring

The evaluation method to determine when this budget alert is in a triggered state.

Values: CUMULATIVE_SPENDING_EXCEEDED

quantity_typestring

The way to calculate cost for this budget alert. This is what quantity_threshold is measured in.

Values: LIST_PRICE_DOLLARS_USD

quantity_thresholdstring

The threshold for the budget alert to determine if it is in a triggered state. The number is evaluated based on quantity_type.

action_configurationsarray of object

Configured actions for this alert. These define what happens when an alert enters a triggered state.

Show child attributesHide child attributes
action_configuration_idstring

<Databricks> action configuration ID.

action_typestring

The type of the action.

Values: EMAIL_NOTIFICATION, BLOCK_USAGE

targetstring

Target for the action. For example, an email address.

scope_typestring

How the alert threshold is evaluated. Determines whether spend is tracked in aggregate or per individual user.

Values: ALERT_CONFIGURATION_SCOPE_TYPE_SHARED, ALERT_CONFIGURATION_SCOPE_TYPE_PER_USER

principal_overridesarray of object

Per-principal threshold overrides for this alert. Only applies to per-user alerts (scope_type = ALERT_CONFIGURATION_SCOPE_TYPE_PER_USER); ignored for shared alerts.

Show child attributesHide child attributes
principal_idint64

Account-level principal id (user, group, or service principal).

override_thresholdstring

Dollar amount that overrides the parent alert's quantity_threshold for this principal.

filterobject

Configured filters for this budget. These are applied to your account's usage to limit the scope of what is considered for this budget. Leave empty to include all usage for this account. All provided filters must be matched for usage to be included.

Show child attributesHide child attributes
workspace_idobject

If provided, usage must match with the provided <Databricks> workspace IDs.

Show child attributesHide child attributes
operatorstring

Values: IN

valuesarray of int64
tagsarray of object

A list of tag keys and values that will limit the budget to usage that includes those specific custom tags. Tags are case-sensitive and should be entered exactly as they appear in your usage data.

Show child attributesHide child attributes
keystring
valueobject
display_namestring

Human-readable name of budget configuration. Max Length: 128

resource_typestring

The resource scope for this budget. Determines whether the budget tracks all resources or a specific resource.

Values: BUDGET_RESOURCE_TYPE_ALL_RESOURCES, BUDGET_RESOURCE_TYPE_UNITY_AI_GATEWAY

Update

PUT /api/2.1/accounts/{budget.account_id}/budgets/{budget_id}

Updates a budget configuration for an account. Both account and budget configuration are specified by ID.

API scopes: billing

Parameters

budget_idstringpath

The <Databricks> budget configuration ID.

budgetobjectpath

The updated budget. This will overwrite the budget specified by the budget ID.

Show child attributesHide child attributes
budget_configuration_idstring

<Databricks> budget configuration ID.

account_idstring

<Databricks> account ID.

AWS

<Databricks> account ID of any type. For non-E2 account types, get your account ID from the Accounts Console.

create_timeint64

Creation time of this budget configuration.

update_timeint64

Update time of this budget configuration.

alert_configurationsarray of object

Alerts to configure when this budget is in a triggered state. Budgets must have exactly one alert configuration.

Show child attributesHide child attributes
alert_configuration_idstring

<Databricks> alert configuration ID.

time_periodstring

The time window of usage data for the budget.

Values: MONTH

trigger_typestring

The evaluation method to determine when this budget alert is in a triggered state.

Values: CUMULATIVE_SPENDING_EXCEEDED

quantity_typestring

The way to calculate cost for this budget alert. This is what quantity_threshold is measured in.

Values: LIST_PRICE_DOLLARS_USD

quantity_thresholdstring

The threshold for the budget alert to determine if it is in a triggered state. The number is evaluated based on quantity_type.

action_configurationsarray of object

Configured actions for this alert. These define what happens when an alert enters a triggered state.

Show child attributesHide child attributes
action_configuration_idstring

<Databricks> action configuration ID.

action_typestring

The type of the action.

Values: EMAIL_NOTIFICATION, BLOCK_USAGE

targetstring

Target for the action. For example, an email address.

scope_typestring

How the alert threshold is evaluated. Determines whether spend is tracked in aggregate or per individual user.

Values: ALERT_CONFIGURATION_SCOPE_TYPE_SHARED, ALERT_CONFIGURATION_SCOPE_TYPE_PER_USER

principal_overridesarray of object

Per-principal threshold overrides for this alert. Only applies to per-user alerts (scope_type = ALERT_CONFIGURATION_SCOPE_TYPE_PER_USER); ignored for shared alerts.

Show child attributesHide child attributes
principal_idint64

Account-level principal id (user, group, or service principal).

override_thresholdstring

Dollar amount that overrides the parent alert's quantity_threshold for this principal.

filterobject

Configured filters for this budget. These are applied to your account's usage to limit the scope of what is considered for this budget. Leave empty to include all usage for this account. All provided filters must be matched for usage to be included.

Show child attributesHide child attributes
workspace_idobject

If provided, usage must match with the provided <Databricks> workspace IDs.

Show child attributesHide child attributes
operatorstring

Values: IN

valuesarray of int64
tagsarray of object

A list of tag keys and values that will limit the budget to usage that includes those specific custom tags. Tags are case-sensitive and should be entered exactly as they appear in your usage data.

Show child attributesHide child attributes
keystring
valueobject
display_namestring

Human-readable name of budget configuration. Max Length: 128

resource_typestring

The resource scope for this budget. Determines whether the budget tracks all resources or a specific resource.

Values: BUDGET_RESOURCE_TYPE_ALL_RESOURCES, BUDGET_RESOURCE_TYPE_UNITY_AI_GATEWAY

Response

budgetobject

The updated budget.

Show child attributesHide child attributes
budget_configuration_idstring

<Databricks> budget configuration ID.

account_idstring

<Databricks> account ID.

AWS

<Databricks> account ID of any type. For non-E2 account types, get your account ID from the Accounts Console.

create_timeint64

Creation time of this budget configuration.

update_timeint64

Update time of this budget configuration.

alert_configurationsarray of object

Alerts to configure when this budget is in a triggered state. Budgets must have exactly one alert configuration.

Show child attributesHide child attributes
alert_configuration_idstring

<Databricks> alert configuration ID.

time_periodstring

The time window of usage data for the budget.

Values: MONTH

trigger_typestring

The evaluation method to determine when this budget alert is in a triggered state.

Values: CUMULATIVE_SPENDING_EXCEEDED

quantity_typestring

The way to calculate cost for this budget alert. This is what quantity_threshold is measured in.

Values: LIST_PRICE_DOLLARS_USD

quantity_thresholdstring

The threshold for the budget alert to determine if it is in a triggered state. The number is evaluated based on quantity_type.

action_configurationsarray of object

Configured actions for this alert. These define what happens when an alert enters a triggered state.

Show child attributesHide child attributes
action_configuration_idstring

<Databricks> action configuration ID.

action_typestring

The type of the action.

Values: EMAIL_NOTIFICATION, BLOCK_USAGE

targetstring

Target for the action. For example, an email address.

scope_typestring

How the alert threshold is evaluated. Determines whether spend is tracked in aggregate or per individual user.

Values: ALERT_CONFIGURATION_SCOPE_TYPE_SHARED, ALERT_CONFIGURATION_SCOPE_TYPE_PER_USER

principal_overridesarray of object

Per-principal threshold overrides for this alert. Only applies to per-user alerts (scope_type = ALERT_CONFIGURATION_SCOPE_TYPE_PER_USER); ignored for shared alerts.

Show child attributesHide child attributes
principal_idint64

Account-level principal id (user, group, or service principal).

override_thresholdstring

Dollar amount that overrides the parent alert's quantity_threshold for this principal.

filterobject

Configured filters for this budget. These are applied to your account's usage to limit the scope of what is considered for this budget. Leave empty to include all usage for this account. All provided filters must be matched for usage to be included.

Show child attributesHide child attributes
workspace_idobject

If provided, usage must match with the provided <Databricks> workspace IDs.

Show child attributesHide child attributes
operatorstring

Values: IN

valuesarray of int64
tagsarray of object

A list of tag keys and values that will limit the budget to usage that includes those specific custom tags. Tags are case-sensitive and should be entered exactly as they appear in your usage data.

Show child attributesHide child attributes
keystring
valueobject
display_namestring

Human-readable name of budget configuration. Max Length: 128

resource_typestring

The resource scope for this budget. Determines whether the budget tracks all resources or a specific resource.

Values: BUDGET_RESOURCE_TYPE_ALL_RESOURCES, BUDGET_RESOURCE_TYPE_UNITY_AI_GATEWAY

Delete

DELETE /api/2.1/accounts/{account_id}/budgets/{budget_id}

Deletes a budget configuration for an account. Both account and budget configuration are specified by ID. This cannot be undone.

API scopes: billing

Parameters

budget_idstringpath

The <Databricks> budget configuration ID.

account_idstringpath

<Databricks> account ID.

AWS

<Databricks> account ID of any type. For non-E2 account types, get your account ID from the Accounts Console